|  | Home · All Classes · Modules

# QStyleOptionToolBar.ToolBarFeatures Class Reference
[QtGui module]

### Methods

- __init__ (self, ToolBarFeatures)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ToolBarFeatures __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ToolBarFeatures f)
- ToolBarFeatures __iand__ (self, int mask)
- int __int__ (self)
- ToolBarFeatures __invert__ (self)
- ToolBarFeatures __ior__ (self, ToolBarFeatures f)
- ToolBarFeatures __ixor__ (self, ToolBarFeatures f)
- bool __ne__ (self, ToolBarFeatures f)
- ToolBarFeatures __or__ (self, ToolBarFeatures f)
- ToolBarFeatures __or__ (self, int f)
- ToolBarFeatures __xor__ (self, ToolBarFeatures f)
- ToolBarFeatures __xor__ (self, int f)

## Detailed Description

ToolBarFeature may be used whenever ToolBarFeatures is expected.

## Method Documentation

### ToolBarFeatures.__init__ (self, ToolBarFeatures)

### ToolBarFeatures.__init__ (self, int)

### ToolBarFeatures.__init__ (self)

### ToolBarFeatures ToolBarFeatures.__and__ (self, int mask)

### int ToolBarFeatures.__bool__ (self)

### bool ToolBarFeatures.__eq__ (self, ToolBarFeatures f)

### ToolBarFeatures ToolBarFeatures.__iand__ (self, int mask)

### int ToolBarFeatures.__int__ (self)

### ToolBarFeatures ToolBarFeatures.__invert__ (self)

### ToolBarFeatures ToolBarFeatures.__ior__ (self, ToolBarFeatures f)

### ToolBarFeatures ToolBarFeatures.__ixor__ (self, ToolBarFeatures f)

### bool ToolBarFeatures.__ne__ (self, ToolBarFeatures f)

### ToolBarFeatures ToolBarFeatures.__or__ (self, ToolBarFeatures f)

### ToolBarFeatures ToolBarFeatures.__or__ (self, int f)

### ToolBarFeatures ToolBarFeatures.__xor__ (self, ToolBarFeatures f)

### ToolBarFeatures ToolBarFeatures.__xor__ (self, int f)